SystemOrganization addCategory: #'GT-InspectorExtensions-DBXTalk'!

!DBXConnection methodsFor: '*GT-InspectorExtensions-DBXTalk' stamp: 'TudorGirba 2/14/2014 10:50'!
gtInspectorSQLExecutorIn: composite
	<gtInspectorPresentationOrder: 50>
	composite text
		title: 'SQL';
		display: [:connection | 'SELECT' ];
		populate: #selection 
			icon: GLMUIThemeExtraIcons glamorousPlay 
			on: $o entitled: 'Execute and open' 
			with: [:text | self execute: (text selectedText asString ifEmpty: [text text asString ]) ] ! !

!DBXRow methodsFor: '*GT-InspectorExtensions-DBXTalk' stamp: 'TudorGirba 3/12/2014 09:57'!
gtInspectorValuesIn: composite
	<gtInspectorPresentationOrder: 40>
	composite table
		title: 'Values';
		display: [ self resultSet columnDescriptions collect: [ :each | 
				each -> (self valueNamed: each name) ] ];
		column: 'Column' evaluated: [ :each | each key name ];
		column: 'Value' evaluated: [ :each | each value ];
		send: [ :each | each value ]! !

!DBXResultSet methodsFor: '*GT-InspectorExtensions-DBXTalk' stamp: 'TudorGirba 2/15/2012 16:56'!
gtInspectorResultTableIn: composite
	<gtInspectorPresentationOrder: 50>
	composite dynamic 
		title: 'Result';
		display: [:result | 
		| table |
		table := GLMTablePresentation new.
		table 
			display: [:r | result rows ];
			showOnly: 50.
		result columnDescriptions doWithIndex: [:column :index | 
			table column: [:r | column name ] evaluated: [:eachRow | (eachRow rawValueAt: index) asString ]].
		table ]! !
